package com.landray.kmss.sys.attachment.transfer;

import java.util.List;
import com.landray.kmss.util.ArrayUtil;
import com.landray.kmss.common.dao.HQLInfo;
import com.landray.kmss.sys.admin.transfer.model.SysAdminTransferTask;
import java.util.ArrayList;
import com.landray.kmss.util.SpringBeanUtil;
import com.landray.kmss.sys.admin.transfer.service.ISysAdminTransferTaskService;
import com.landray.kmss.sys.admin.transfer.service.spring.SysAdminTransferCheckResult;
import com.landray.kmss.sys.admin.transfer.service.spring.SysAdminTransferCheckContext;
import org.slf4j.LoggerFactory;
import org.slf4j.Logger;
import com.landray.kmss.sys.admin.transfer.service.ISysAdminTransferChecker;

public class SysAttFlvToMp4Checker implements ISysAdminTransferChecker
{
    protected final Logger logger;
    
    public SysAttFlvToMp4Checker() {
        this.logger = LoggerFactory.getLogger(this.getClass());
    }
    
    public SysAdminTransferCheckResult check(final SysAdminTransferCheckContext sysAdminTransferCheckContext) {
        try {
            final ISysAdminTransferTaskService sysAdminTransferTaskService = (ISysAdminTransferTaskService)SpringBeanUtil.getBean("sysAdminTransferTaskService");
            final String uuid = sysAdminTransferCheckContext.getUUID();
            List<SysAdminTransferTask> list = new ArrayList<SysAdminTransferTask>();
            final HQLInfo info = new HQLInfo();
            info.setWhereBlock("sysAdminTransferTask.fdUuid=:uuid");
            info.setParameter("uuid", (Object)uuid);
            list = sysAdminTransferTaskService.getBaseDao().findValue(info);
            if (!ArrayUtil.isEmpty((List)list)) {
                final SysAdminTransferTask sysAdminTransferTask = list.get(0);
                if (sysAdminTransferTask.getFdStatus() == 1) {
                    return SysAdminTransferCheckResult.TASK_STATUS_RUNED;
                }
            }
        }
        catch (final Exception e) {
            e.printStackTrace();
        }
        return SysAdminTransferCheckResult.TASK_STATUS_NOT_RUNED;
    }
}
